/* Basic styling */
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
  }
  body {
    font-family: sans-serif;
    font-size: 16px;
  }
  nav {
    padding: 0 15px;
  }
  a {
    color: #3ba66b;
    text-decoration:none;
  }
  .menu2,
  .submenu {
    list-style-type: none;
    cursor:pointer;
  }
  
  .item {
    padding: 10px;
  }
  .item.button {
    padding: 9px 5px;
  }
  .item:not(.button) a:hover,
  .item a:hover::after {
    color: #ccc;
  }
  /* Mobile menu */
  .menu2 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
  }
  .menu2 li a {
    display: block;
    padding: 15px 5px;
  }
  .menu2 li.subitem a {
    padding: 15px;
  }
  .toggle {
    order: 1;
    font-size: 20px;
  }
  .item.button {
    order: 2;
  }
  .item {
    order: 3;
    width: 100%;
    text-align: center;
    display: none;
  }
  .active .item {
    display: block;
  }
  .button.secondary {
    /* divider between buttons and menu links */
    border-bottom: 1px #444 solid;
  }
  /* Submenu up from mobile screens */
  .submenu {
    display: none;
  }
  .submenu-active .submenu {
    display: block;
  }
  .has-submenu i {
    font-size: 12px;
  }
  .has-submenu > a::after {
    font-family: "Font Awesome 5 Free";
    font-size: 12px;
    line-height: 16px;
    font-weight: 900;
    content: "\f078";
    color: white;
    padding-left: 5px;
    cursor:pointer;
  }
  .subitem a {
    padding: 10px 15px;
  }
  .submenu-active {
    background-color: #111;
    border-radius: 3px;
  }
  
  /* Tablet menu */
  @media all and (min-width: 700px) {
    .menu2 {
      justify-content: center;
    }
    
    .item.button {
      width: auto;
      order: 1;
      display: block;
    }
    .toggle {
      flex: 1;
      text-align: right;
      order: 2;
    }
    /* Button up from tablet screen */
    .menu2 li.button a {
      padding: 10px 15px;
      margin: 5px 0;
    }
    
  }
  /* Desktop menu */
  @media all and (min-width: 960px) {
    .menu2 {
      align-items: flex-start;
      flex-wrap: nowrap;
      background: none;
    }
   
    .item {
      order: 1;
      position: relative;
      display: block;
      width: auto;
    }
    
    .submenu-active .submenu {
      display: block;
      position: absolute;
      left: 0;
      top: 68px;
      background: #111;
    }
    .toggle {
      display: none;
    }
    .submenu-active {
      border-radius: 0;
    }
  }